CDEntryHome

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## thegroup.projectcddb.database
Interface CDEntryHome

All Superinterfaces:
  javax.ejb.EJBHome, java.rmi.Remote

public interface CDEntryHome
extends javax.ejb.EJBHome

Interface for the methods of how to search for a file

Author:
  Diana Abbas , Kyle Dorman

Method Summary
`CDEntryRemote` | `create(java.lang.String id, java.lang.String title, java.lang.String year, java.lang.String genre, java.lang.String extendedData)` Creates a new object
`java.util.Collection` | `findByCDID(java.lang.String cdid)` Finds the file in the database according to Disc ID
`CDEntryRemote` | `findByPrimaryKey(java.lang.Integer pk)` Finds the file in the database according to primary key

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, getHomeHandle, remove, remove`

Method Detail

### create

    public CDEntryRemote create(java.lang.String id,
                                java.lang.String title,
                                java.lang.String year,
                                java.lang.String genre,
                                java.lang.String extendedData)
                         throws javax.ejb.CreateException,
                                java.rmi.RemoteException

  Creates a new object

  Parameters:
    `id` -
    `title` -
    `year` -
    `genre` -
    `extendedData` -
  Throws:
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans
    `javax.ejb.CreateException` - Failure to create an entity EJB object

### findByPrimaryKey

    public CDEntryRemote findByPrimaryKey(java.lang.Integer pk)
                                   throws javax.ejb.FinderException,
                                          java.rmi.RemoteException

  Finds the file in the database according to primary key

  Parameters:
    `pk` - Primary Key
  Throws:
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans
    `javax.ejb.FinderException` - Failure to create an entity EJB object

### findByCDID

    public java.util.Collection findByCDID(java.lang.String cdid)
                                    throws javax.ejb.FinderException,
                                           java.rmi.RemoteException

  Finds the file in the database according to Disc ID

  Parameters:
    `cdid` - CD Disc ID
  Throws:
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans
    `javax.ejb.FinderException` - Failure to create an entity EJB object

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD